# Get Mapping Value

## **ENDPOINT**

```
GET https://api.data123.io/aleo/<API KEY>/v1/testnet3/program/{programID}/mapping/{mappingName}/{mappingKey}
```

### **Arguments**

<table><thead><tr><th width="198">Parameter</th><th width="113">Type</th><th width="119">Request</th><th>Description</th></tr></thead><tbody><tr><td>programID</td><td>string</td><td>Yes</td><td>The program id of the requested mappings</td></tr><tr><td>mappingName</td><td>string</td><td>Yes</td><td>The name of the mapping to access</td></tr><tr><td>mappingKey</td><td>string</td><td>Yes</td><td>The key of the key-value pair in the mapping</td></tr></tbody></table>

### **Response**

<table><thead><tr><th width="195">Parameter</th><th width="122">type</th><th>Description</th></tr></thead><tbody><tr><td>result</td><td><a href="https://developer.aleo.org/concepts/programs">object</a></td><td>The requested mapping names</td></tr></tbody></table>

### Request

{% tabs %}
{% tab title="REST" %}

```bash
curl https://api.data123.io/aleo/<API KEY>/v1/testnet3/program/token.aleo/mapping/{mappingName}/{mappingKey}
```

{% endtab %}

{% tab title="JSON-RPC" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://api.data123.io/aleo/&#x3C;API KEY>/rpc/v1/testnet3 \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"getMappingValue","params":['{programID}','{mappingName}','{mappingKey}'],"id":1}'
</code></pre>

{% endtab %}
{% endtabs %}
